Subject: Re: [PATCH net-next v5 2/2] selftests: openvswitch: add pop_vlan test

From: Aaron Conole <[email-masked]>
Date: Wed, 06 May 2026 11:36:00 -0400

Minxi Hou <[email-masked]> writes:

> Add test_pop_vlan() to verify OVS kernel datapath pop_vlan action
> correctly strips 802.1Q VLAN tags from frames.
>
> Test structure:
> - Baseline: untagged forwarding validates basic connectivity.
> - Negative: forward without pop_vlan, tagged frame is invisible
>   to ns2 (no VLAN sub-interface), ping fails.
> - Positive: pop_vlan strips tag on forward path, push_vlan
>   restores tag on return path, ping succeeds.
>
> Use static ARP entries to avoid VLAN-tagged ARP complexity.
> Rely on ping success/failure for verification — no tcpdump or
> pcap files needed.
>
> Signed-off-by: Minxi Hou <[email-masked]>
> ---

Thanks for adding this.  I'm still a little unclear about the explicit
modprobe for 8021q.  Is it really needed?  I thought the request to add
a vlan tagged interface should auto-load that module (unless it is
blacklisted or something).  I guess this is an attempt to short-circuit
the skip, but maybe it would be better to configure an interface and if
that fails, then either fail the test or skip the test.